%define upstream_name    Class-Accessor-Lite
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A minimalistic variant of Class::Accessor
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The module is a variant of 'Class::Accessor'. It is fast and requires less
typing, has no dependencies to other modules, and does not mess up the
@ISA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 509972
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 364239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - imported package perl-Class-Accessor-Lite


* Mon Jul 25 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
